VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "TagAttribute"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private varReadOnly As Boolean

Private varOrder As Long
Private varName As String
Private varValue As String
Private varStandalone As Boolean

Friend Property Get ReadOnly() As Boolean
ReadOnly = varReadOnly
End Property

Public Property Get Order() As Long
Order = varOrder
End Property

Public Property Get Name() As String
Name = varName
End Property

Public Property Let Name(ByVal NewName As String)
If varReadOnly Then Exit Property
varName = NewName
End Property

Public Property Get Text() As String
Dim I As Long
Const CharQuotes As String = "'"""
If varStandalone Then
  Text = vbNullString
  Exit Property
End If
I = InStr(CharQuotes, Left$(varValue, 1))
If I = 0 Then
  Text = varValue
Else
  If Right$(varValue, 1) = Mid$(CharQuotes, I, 1) Then
    Text = Mid$(varValue, 2, Len(varValue) - 2)
  Else
    Text = varValue
  End If
End If
End Property

Public Property Get Value() As String
Attribute Value.VB_UserMemId = 0
If varStandalone Then
  Value = vbNullString
Else
  Value = varValue
End If
End Property

Public Property Let Value(ByVal NewValue As String)
If varReadOnly Then Exit Property
varValue = NewValue
End Property

Public Property Get Standalone() As Boolean
Standalone = varStandalone
End Property

Public Property Let Standalone(ByVal NewStandalone As Boolean)
If varReadOnly Then Exit Property
varStandalone = NewStandalone
End Property

Private Sub Class_Initialize()
#If DEBUG_MODE Then
If DEBUG_FILE > 0 Then Print #DEBUG_FILE, "TagAttribute + :: " & ObjPtr(Me)
#End If
varReadOnly = True
End Sub

Private Sub Class_Terminate()
#If DEBUG_MODE Then
If DEBUG_FILE > 0 Then Print #DEBUG_FILE, "TagAttribute - :: " & ObjPtr(Me)
#End If
End Sub

Friend Sub SetReadOnly(ByVal NewValue As Boolean)
varReadOnly = NewValue
End Sub

Friend Sub SetOrder(ByVal NewOrder As Long)
varOrder = NewOrder
End Sub

Friend Sub SetName(ByVal NewName As String)
varName = NewName
End Sub

Friend Sub SetValue(ByVal NewValue As String)
varValue = NewValue
End Sub

Friend Sub SetStandalone(ByVal NewStandalone As Boolean)
varStandalone = NewStandalone
End Sub
